#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	TCP/IP emulator used by virtual machine hypervisors to provide virtual networking services
Summary(pl.UTF-8):	Emulator TCP/IP używany przez hipernadzorców maszyn wirtualnych do udostępniania wirtualnych usług sieciowych
Name:		libslirp
Version:	4.9.1
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://gitlab.freedesktop.org/slirp/libslirp/-/releases (JS required)
Source0:	https://gitlab.freedesktop.org/-/project/2767/uploads/ed8eaeada090f91a640c8e8e01d704bc/%{name}-%{version}.tar.xz
# Source0-md5:	f6ad0ef37cf0b2c455c4c8d4ef47f336
URL:		https://gitlab.freedesktop.org/slirp/libslirp
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	meson >= 0.60
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Conflicts:	spice-slirp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libslirp is a user-mode networking library used by virtual machines,
containers or various tools.

%description -l pl.UTF-8
libslirp to biblioteka sieciowa przestrzeni użytkownika, używana przez
maszyny wirtualne, kontenery lub różne narzędzia.

%package devel
Summary:	Header files for SLIRP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SLIRP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.0
Conflicts:	spice-slirp-devel

%description devel
Header files for SLIRP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SLIRP.

%package static
Summary:	Static SLIRP library
Summary(pl.UTF-8):	Statyczna biblioteka SLIRP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	spice-slirp-static

%description static
Static SLIRP library.

%description static -l pl.UTF-8
Statyczna biblioteka SLIRP.

%prep
%setup -q

%build
%meson \
	%{!?with_static_libs:--default-library=shared}

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md COPYRIGHT README.md
%attr(755,root,root) %{_libdir}/libslirp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libslirp.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libslirp.so
%{_includedir}/slirp
%{_pkgconfigdir}/slirp.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libslirp.a
%endif
%changelog
* Fri Jun 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libslirp.git;a=log;h=master

* Mon Jun 02 2025 Jan Palus <atler@pld-linux.org> 33e8872
- up to 4.9.1

* Mon Feb 10 2025 Jan Palus <atler@pld-linux.org> 7136c7d
- up to 4.9.0

* Mon Feb 10 2025 Jan Palus <atler@pld-linux.org> f518116
- use new meson macros

* Sat May 11 2024 Jan Palus <atler@pld-linux.org> 3f88561
- add static_libs bcond

* Sat May 11 2024 Jan Palus <atler@pld-linux.org> 2c9b29c
- up to 4.8.0

* Fri Jun 10 2022 Jakub Bogusz <qboosh@pld-linux.org> ab196cb
- updated to 4.7.0

* Sun Jul 04 2021 Jan Palus <atler@pld-linux.org> de98a3d
- up to 4.6.1

* Sun May 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 55f0f43
- C: spice-slirp*

* Sun May 17 2020 Jakub Bogusz <qboosh@pld-linux.org> d5b34ea
- switched to fdo slirp/libslirp project, version 4.3.0 (spice version saved in spice-slirp.spec)

* Sun May 17 2020 Jakub Bogusz <qboosh@pld-linux.org> fec9af3
- updated to last commit from spice project

* Wed Jul 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 7510d26
- new

